## sexplib310 3.7.4

=== lib/Makefile ===
OCAMLMAKEFILE = ../OCamlMakefile

SOURCES = \
  type.ml \
  parser.mly \
  lexer.mll \
  pre_sexp.ml \
  sexp_intf.ml \
  sexp.mli sexp.ml \
  path.mli path.ml \
  conv.mli conv.ml \
  conv_error.ml
LIB_PACK_NAME = sexplib
INCDIRS = +camlp4
OCAMLFLAGS = -for-pack Sexplib
PACKS = type-conv
RESULT = sexplib

TRASH = pa_sexp_conv.cmi pa_sexp_conv.cmo pa_sexp_conv.annot

all: \
	pack-byte-code pack-native-code \
	sexplib.cma sexplib.cmxa \
	pa_sexp_conv.cmi pa_sexp_conv.cmo

LIBINSTALL_FILES = \
  sexp.mli path.mli conv.mli \
  sexplib.cmi sexplib.cma sexplib.cmxa sexplib.a \
  pa_sexp_conv.cmi pa_sexp_conv.cmo

install:	libinstall
uninstall:	libuninstall

clean::	clean-doc

-include $(OCAMLMAKEFILE)

=== lib_test/Makefile ===
export OCAMLMAKEFILE = ../OCamlMakefile

export INCDIRS = ../lib
export LIBDIRS = ../lib
export LIBS = sexplib
export PACKS = bigarray num

define PROJ_sub1
  SOURCES = conv_test.ml
  RESULT = conv_test
endef
export PROJ_sub1

define PROJ_sub2
  SOURCES = sexp_test.ml
  RESULT = sexp_test
endef
export PROJ_sub2

ifndef SUBPROJS
  export SUBPROJS = sub1 sub2
endif

all:	bc

%:
	@$(MAKE) -f $(OCAMLMAKEFILE) subprojs SUBTARGET=$@

## sexplib310 0.13.0

=== debian/changelog ===
sexplib310 (1:0.13.0-1build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:35:21 +0000

sexplib310 (1:0.13.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #877496)
    - bump epoch to cope with new upstream versioning scheme
  * Update Homepage and debian/watch
  * Remove Lifeng from Uploaders (Closes: #925049)
  * Update Vcs-*
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Fri, 31 Jan 2020 17:10:24 +0100

sexplib310 (113.33.03-3) unstable; urgency=medium

  * Team upload
  * Upload to unstable
  * Move ocaml-findlib to Recommends
  * Add Breaks/Replaces libsexplib-camlp4-dev (Closes: #834074)
  * Remove obsolete README.Debian

 -- Stéphane Glondu <glondu@debian.org>  Fri, 19 Aug 2016 09:11:38 +0200

sexplib310 (113.33.03-2) experimental; urgency=medium

  * Team upload
  * Fix FTBFS on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Fri, 05 Aug 2016 10:32:01 +0200

sexplib310 (113.33.03-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - the camlp4 syntax is no longer part of upstream, as a consequence
      rename libsexplib-camlp4-dev into libsexplib-ocaml-dev
    - add libsexplib-ocaml
    - update debian/copyright
  * Update Vcs-*
  * Bump Standards-Version to 3.9.8

 -- Stéphane Glondu <glondu@debian.org>  Thu, 28 Jul 2016 16:00:43 +0200

sexplib310 (113.00.00-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version
  * Bump type_conv build-dependency
  * Remove unneeded explicit install of sexp_intf.ml

 -- Hilko Bengen <bengen@debian.org>  Mon, 04 Jan 2016 02:16:04 +0100

sexplib310 (111.25.00-1) unstable; urgency=medium

  * Add myself to Uploaders.
  * Upload to unstable.

 -- Hilko Bengen <bengen@debian.org>  Wed, 24 Sep 2014 21:26:09 +0200

sexplib310 (111.25.00-1~exp1) experimental; urgency=medium

  * New upstream release
  * Bump type-conv build-dependency
  * Upload to experimental

 -- Hilko Bengen <bengen@debian.org>  Mon, 22 Sep 2014 15:02:31 +0200

sexplib310 (111.17.00-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.5.

 -- Lifeng Sun <lifongsun@gmail.com>  Tue, 15 Jul 2014 12:36:07 +0800

sexplib310 (109.20.00-2) unstable; urgency=low

  * Team upload
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 21:36:45 +0100

sexplib310 (109.20.00-1) experimental; urgency=low

  * New upstream release.
  * Add myself to Uploaders.
  * Update debian/watch.

 -- Lifeng Sun <lifongsun@gmail.com>  Tue, 23 Jul 2013 21:12:11 +0800

sexplib310 (7.0.5-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release (Closes: #713343)
    - bump type-conv version requirement
  * Update debian/watch
  * Update debian/control: Vcs-*, Homepage
  * Bump debhelper compat level to 9
  * Switch debian/copyright to format version 1.0
  * Bump Standards-Version to 3.9.4
  * Add doc-base support

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jun 2013 17:39:48 +0200

sexplib310 (7.0.4-2) unstable; urgency=low

  * Team upload.
  * Improve documentation with respect to changes occured in 7.0.4
    (Closes: #656307)
    - add 0001-Improved-documentation.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 18 Jan 2012 13:03:39 +0100

sexplib310 (7.0.4-1) unstable; urgency=low

  * Team upload
  * New upstream release
    - build-depends on type-conv >= 3.0.4
  * Switch Homepage and debian/watch to forge.ocamlcore.org
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 11 Nov 2011 19:57:30 +0100

sexplib310 (5.2.1-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * debian/control:
    - remove Stefano from Uploaders
    - bump Standards-Version to 3.9.1
  * Switch source package format to 3.0 (quilt)
  * Bump debhelper compat level to 8

  [ Sylvain Le Gall ]
  * Scan www.janestreet.com for new version
  * Switch do dh7 build system

 -- Stéphane Glondu <glondu@debian.org>  Thu, 09 Jun 2011 08:51:02 +0200

sexplib310 (4.2.16-1) unstable; urgency=low

  * New upstream release
  * Get rid of topgit, packaging now uses plain old quilt
  * Switch packaging to dh-ocaml
  * debian/rules: switch debhelper.mk w/ ocaml.mk (avoid *.log leftovers)
  * debian/control: bump Standards-Version to 3.8.3 (no changes needed)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 09 Nov 2009 18:26:53 +0100

sexplib310 (4.2.11-2) unstable; urgency=low

  * Generate ocamldoc documentation
  * Use topgit "build" branch which contains missing patches of the former
    upload
  * Set debian-branch to build in gbp.conf

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 10 Jul 2009 22:05:54 +0000

sexplib310 (4.2.11-1) unstable; urgency=low

  * New Upstream Version
  * Add debian/gbp.conf to force using pristine-tar
  * Upgrade standards-version to 3.8.2 (section ocaml)
  * Add some more fields to debian/copyright file
  * Tighten build-depends to ease OCaml 3.11.1 transition

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 07 Jul 2009 00:43:06 +0200

sexplib310 (4.2.6-3) unstable; urgency=low

  * debian/patches/debian/byte-build: build toplevel-library also when
    "byte" is invoked. Fix FTBFS on byte archs (Closes: #517838)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 02 Mar 2009 23:20:35 +0100

sexplib310 (4.2.6-2) unstable; urgency=low

  * upload to unstable
  * debian/rules: use ocaml.mk as a CDBS "rules" snippet
  * debian/control:
    - tighten build-deps to induce dep-waits
    - build dep on the minimum findlib version with a META.num not
      fubar-ed (i.e., >= 1.2.4-2)
  * debian/copyright: fix typo in common license file reference



=== debian/control ===
Source: sexplib310
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Hilko Bengen <bengen@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 ocaml-nox,
 ocaml-dune,
 libnum-ocaml-dev,
 libsexplib0-ocaml-dev,
 libparsexp-ocaml-dev,
 dh-ocaml
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/ocaml-team/sexplib310
Vcs-Git: https://salsa.debian.org/ocaml-team/sexplib310.git
Homepage: https://github.com/janestreet/sexplib

Package: libsexplib-ocaml-dev
Provides:
 ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: ocaml-findlib
Breaks: libsexplib-camlp4-dev
Replaces: libsexplib-camlp4-dev
Description: automated conversions between OCaml-values and S-expressions (dev files)
 Sexplib library contains functionality for parsing and pretty-printing
 S-expressions.
 .
 Another module contained in Sexplib you to extract and replace
 sub-expressions in S-expressions.
 .
 This package contains development files.

Package: libsexplib-ocaml
Provides:
 ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Breaks: libsexplib-camlp4-dev
Replaces: libsexplib-camlp4-dev
Description: automated conversions between OCaml-values and S-expressions (runtime)
 Sexplib library contains functionality for parsing and pretty-printing
 S-expressions.
 .
 Another module contained in Sexplib you to extract and replace
 sub-expressions in S-expressions.
 .
 This package contains runtime files.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p sexplib

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/sexplib/LICENSE.md

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dune runtest -p sexplib
endif

override_dh_missing:
	dh_missing --fail-missing

## sexplib310 0.14.0

=== debian/changelog ===
sexplib310 (1:0.14.0-1build4) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jan 2022 11:17:03 +0100

sexplib310 (1:0.14.0-1build3) jammy; urgency=medium

  * No-change rebuild for current ocaml ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Dec 2021 16:13:30 +0000

sexplib310 (1:0.14.0-1build2) hirsute; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Nov 2020 10:25:00 +0100

sexplib310 (1:0.14.0-1build1) hirsute; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Nov 2020 15:15:57 +0100

sexplib310 (1:0.14.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Sat, 25 Jul 2020 14:40:25 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Uploaders:
  Hilko Bengen <bengen@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  ocaml-nox,
  ocaml-dune,
  libnum-ocaml-dev,
- libsexplib0-ocaml-dev,
- libparsexp-ocaml-dev,
+ libsexplib0-ocaml-dev (>= 0.14),
+ libparsexp-ocaml-dev (>= 0.14),
  dh-ocaml
 Standards-Version: 4.5.0
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -19,5 +19,4 @@
 	dune runtest -p sexplib
 endif
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_dwz:

## sexplib310 0.15.1

=== debian/changelog ===
sexplib310 (1:0.15.1-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Julien Puydt ]
  * Fix d/watch.
  * New upstream release.
  * Bump Standards-Version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 13 Oct 2022 08:42:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sexplib310
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Hilko Bengen <bengen@debian.org>
 Build-Depends:
@@ -13,7 +12,7 @@
  libsexplib0-ocaml-dev (>= 0.14),
  libparsexp-ocaml-dev (>= 0.14),
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/sexplib310
 Vcs-Git: https://salsa.debian.org/ocaml-team/sexplib310.git

## sexplib310 0.16.0

=== debian/changelog ===
sexplib310 (1:0.16.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump standards-version to 4.6.2.
  * Fix compilation with recent dune.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 04 Jul 2023 09:20:02 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libsexplib0-ocaml-dev (>= 0.14),
  libparsexp-ocaml-dev (>= 0.14),
  dh-ocaml
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/sexplib310
 Vcs-Git: https://salsa.debian.org/ocaml-team/sexplib310.git

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	dune build -p sexplib
 
 override_dh_auto_install:
-	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
+	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=$(OCAML_STDLIB_DIR)
 	rm -f $(DESTDIR)/usr/doc/sexplib/LICENSE.md
 
 override_dh_auto_test:

## sexplib310 0.17.0

=== debian/changelog ===
sexplib310 (1:0.17.0-1build3) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Aug 2025 09:46:00 +0200

sexplib310 (1:0.17.0-1build2) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 21:18:42 +0200

sexplib310 (1:0.17.0-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 14:03:10 +0100

sexplib310 (1:0.17.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 28 Aug 2024 17:02:04 +0200

sexplib310 (1:0.16.0-2) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 07:54:39 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
  Hilko Bengen <bengen@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune,
  libnum-ocaml-dev,
- libsexplib0-ocaml-dev (>= 0.14),
- libparsexp-ocaml-dev (>= 0.14),
- dh-ocaml
-Standards-Version: 4.6.2
+ libsexplib0-ocaml-dev (>= 0.17),
+ libparsexp-ocaml-dev (>= 0.17),
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/sexplib310
 Vcs-Git: https://salsa.debian.org/ocaml-team/sexplib310.git

=== debian/watch ===
version=3
opts=uversionmangle=s/-rc/~rc/ https://github.com/janestreet/sexplib/tags /.*/v([\d\.\-rc]+)\.tar\.gz

## sexplib310 4.2.16

=== Makefile ===
.PHONY: all
all:
	@cd lib && $(MAKE)
	@cd lib_test && $(MAKE)

.PHONY:	install
install:
	@cd lib && $(MAKE) $@

.PHONY:	uninstall
uninstall:
	@cd lib && $(MAKE) $@

.PHONY:	clean
clean:
	@cd lib && $(MAKE) clean
	@cd lib_test && $(MAKE) clean

=== lib/Makefile ===
OCAMLMAKEFILE = ../OCamlMakefile

SOURCES = \
  type.ml \
  parser.mly \
  lexer.mll \
  pre_sexp.ml \
  sexp_intf.ml \
  sexp.mli sexp.ml \
  path.mli path.ml \
  conv.mli conv.ml \
  conv_error.ml
LIB_PACK_NAME = sexplib
INCDIRS = +camlp4
PACKS = type-conv
RESULT = sexplib

TRASH = \
  pa_sexp_conv.cmi pa_sexp_conv.cmo pa_sexp_conv.annot \
  install_printers.cmi install_printers.cmo \
  install_printers.annot sexplib_top.cma

all: \
	pack-byte-code pack-native-code toplevel-library \
	sexplib.cma sexplib.cmxa \
	pa_sexp_conv.cmi pa_sexp_conv.cmo

toplevel-library:	byte-code-library \
			install_printers.cmi install_printers.cmo
	$(OCAMLC) -a -o sexplib_top.cma sexplib.cma install_printers.cmo

LIBINSTALL_FILES = \
  sexp_intf.ml sexp.mli path.mli conv.mli \
  sexplib.cmi sexplib.cma sexplib.cmxa $(wildcard sexplib.a) \
  $(wildcard sexplib.lib) pa_sexp_conv.cmi pa_sexp_conv.cmo sexplib_top.cma

install:	libinstall
uninstall:	libuninstall

clean::	clean-doc

-include $(OCAMLMAKEFILE)

## sexplib310 5.2.1

=== debian/changelog ===
sexplib310 (5.2.1-1build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:35:29 -0600

=== debian/control ===
Source: sexplib310
Section: ocaml
Priority: extra
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Sylvain Le Gall <gildor@debian.org>
Build-Depends:
 debhelper (>= 8),
 ocaml-nox (>= 3.12.0),
 ocaml-findlib (>= 1.2.4-2),
 camlp4,
 camlp4-extra,
 libtype-conv-camlp4-dev (>= 2.3.0),
 dh-ocaml (>= 0.9~)
Standards-Version: 3.9.1
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/sexplib310.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/sexplib310.git
Homepage: http://ocaml.janestcapital.com/?q=node/13

Package: libsexplib-camlp4-dev
Provides:
 libsexplib-ocaml-dev,
 ${ocaml:Provides}
Architecture: any
Depends:
 ocaml-findlib,
 camlp4,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: automated conversions between OCaml-values and S-expressions
 Sexplib library contains functionality for parsing and pretty-printing
 S-expressions.
 .
 Sexplib also contains a preprocessing module for Camlp4, which can be
 used to automatically generate code from type definitions for
 efficiently converting OCaml-values to S-expressions and vice versa.
 In combination with the parsing and pretty-printing functionality this
 frees users from having to write their own I/O-routines for the
 datastructures they define.  Possible errors during automatic
 conversions from S-expressions to OCaml-values are reported in a very
 human-readable way.
 .
 Another module contained in Sexplib you to extract and replace
 sub-expressions in S-expressions.

=== debian/watch ===
version=3
opts=filenamemangle=s/.*-(.*)\.tar\.gz/sexplib310-$1.tar.gz/ \
  http://ocaml.janestcapital.com/?q=node/13 \
	http://www.janestreet.com/ocaml/sexplib-(.*)\.tar\.gz

## sexplib310 7.0.4

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
  ocaml-findlib (>= 1.2.4-2),
  camlp4,
  camlp4-extra,
- libtype-conv-camlp4-dev (>= 2.3.0),
+ libtype-conv-camlp4-dev (>= 3.0.4),
  dh-ocaml (>= 0.9~)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/sexplib310.git
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/sexplib310.git
-Homepage: http://ocaml.janestcapital.com/?q=node/13
+Homepage: http://forge.ocamlcore.org/projects/sexplib/
 
 Package: libsexplib-camlp4-dev
 Provides:

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/libsexplib-camlp4-dev
OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' 

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install 

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

=== debian/watch ===
version=3
opts=filenamemangle=s/.*-(.*)\.tar\.gz/sexplib310-$1.tar.gz/ \
http://forge.ocamlcore.org/frs/?group_id=259 .*/sexplib-(.*)\.tar\.gz

## sexplib310 7.0.5

=== doc/Makefile ===
NAME        := README
HEVEAFLAGS  := -w 78 -fix -exec ~/bin/xxdate.exe custom.hva 

all:	text pdf

$(NAME).tex:
	touch $@

-include HeveaMakefile

=== lib_test/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export INCDIRS = ../lib
 export LIBDIRS = ../lib
 export LIBS = sexplib
-export PACKS = bigarray num
+export PACKS = unix bigarray num
 
 define PROJ_sub1
   SOURCES = conv_test.ml

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,18 @@
 Section: ocaml
 Priority: extra
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders:
- Sylvain Le Gall <gildor@debian.org>
 Build-Depends:
- debhelper (>= 8),
+ debhelper (>= 9),
  ocaml-nox (>= 3.12.0),
  ocaml-findlib (>= 1.2.4-2),
  camlp4,
  camlp4-extra,
- libtype-conv-camlp4-dev (>= 3.0.4),
+ libtype-conv-camlp4-dev (>= 3.0.5),
  dh-ocaml (>= 0.9~)
-Standards-Version: 3.9.2
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/sexplib310.git
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/sexplib310.git
-Homepage: http://forge.ocamlcore.org/projects/sexplib/
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/sexplib310.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/sexplib310.git
+Homepage: http://janestreet.github.io/
 
 Package: libsexplib-camlp4-dev
 Provides:

## sexplib310 109.20.00

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: ocaml
 Priority: extra
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Uploaders: Lifeng Sun <lifongsun@gmail.com>
 Build-Depends:
  debhelper (>= 9),
- ocaml-nox (>= 3.12.0),
- ocaml-findlib (>= 1.2.4-2),
+ ocaml-nox (>= 4.00.0),
+ ocaml-findlib (>= 1.3.2),
  camlp4,
  camlp4-extra,
- libtype-conv-camlp4-dev (>= 3.0.5),
+ libtype-conv-camlp4-dev (>= 109.28.00),
  dh-ocaml (>= 0.9~)
 Standards-Version: 3.9.4
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/sexplib310.git

## sexplib310 111.25.00

=== debian/changelog ===
sexplib310 (111.25.00-1build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Wed, 04 Nov 2015 11:51:16 -0600

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: ocaml
 Priority: extra
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Lifeng Sun <lifongsun@gmail.com>
+Uploaders: Lifeng Sun <lifongsun@gmail.com>,
+ Hilko Bengen <bengen@debian.org>
 Build-Depends:
  debhelper (>= 9),
  ocaml-nox (>= 4.00.0),
  ocaml-findlib (>= 1.3.2),
  camlp4,
  camlp4-extra,
- libtype-conv-camlp4-dev (>= 109.28.00),
+ libtype-conv-camlp4-dev (>= 111),
  dh-ocaml (>= 0.9~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/sexplib310.git
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/sexplib310.git
 Homepage: http://janestreet.github.io/

## sexplib310 113.00.00

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
  ocaml-findlib (>= 1.3.2),
  camlp4,
  camlp4-extra,
- libtype-conv-camlp4-dev (>= 111),
+ libtype-conv-camlp4-dev (>= 113),
  dh-ocaml (>= 0.9~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/sexplib310.git
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/sexplib310.git
 Homepage: http://janestreet.github.io/

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:
-	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' 
+	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir /usr/share/doc/libsexplib-camlp4-dev/html/api
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:

## sexplib310 113.33.03

=== Makefile ===
# Generic Makefile for oasis project

SETUP := setup.exe
NAME := sexplib
PREFIX = $(shell grep ^prefix= setup.data | cut -d\" -f 2)

# Default rule
default: build

setup.exe: _oasis setup.ml
	ocamlfind ocamlopt -o $@ -linkpkg -package ocamlbuild,oasis.dynrun setup.ml || \
	  ocamlfind ocamlc -o $@ -linkpkg -package ocamlbuild,oasis.dynrun setup.ml || true
	for f in setup.*; do [ $$f = $@ -o $$f = setup.ml ] || rm -f $$f; done

build: $(SETUP) setup.data
	./$(SETUP) -build $(BUILDFLAGS)
	$(MAKE) $(NAME).install

doc: $(SETUP) setup.data build
	./$(SETUP) -doc $(DOCFLAGS)

test: $(SETUP) setup.data build
	./$(SETUP) -test $(TESTFLAGS)

all: $(SETUP)
	./$(SETUP) -all $(ALLFLAGS)
	$(MAKE) $(NAME).install

$(NAME).install: install.ml setup.log setup.data
	ocaml -I "$(OCAML_TOPLEVEL_PATH)" install.ml

install: $(NAME).install
	opam-installer -i --prefix $(PREFIX) $(NAME).install

uninstall: $(NAME).install
	opam-installer -u --prefix $(PREFIX) $(NAME).install

reinstall: $(NAME).install
	opam-installer -u --prefix $(PREFIX) $(NAME).install &> /dev/null || true
	opam-installer -i --prefix $(PREFIX) $(NAME).install

bin.tar.gz: $(NAME).install
	rm -rf _install
	mkdir _install
	opam-installer -i --prefix _install $(NAME).install
	tar czf bin.tar.gz -C _install .
	rm -rf _install

bin.lzo: $(NAME).install
	rm -rf _install
	mkdir _install
	opam-installer -i --prefix _install $(NAME).install
	cd _install && lzop -1 -P -o ../bin.lzo `find . -type f`
	rm -rf _install

clean: $(SETUP)
	./$(SETUP) -clean $(CLEANFLAGS)

distclean: $(SETUP)
	./$(SETUP) -distclean $(DISTCLEANFLAGS)

configure: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

setup.data: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: default build doc test all install uninstall reinstall clean distclean configure

=== debian/changelog ===
sexplib310 (113.33.03-3ubuntu2) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 17:03:14 +0200

sexplib310 (113.33.03-3ubuntu1) artful; urgency=medium

  * Cherrypick upstream patch to fix FTBFS with ocaml 4.03.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Jul 2017 14:57:05 +0100

sexplib310 (113.33.03-3build2) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Jul 2017 13:33:41 +0100

sexplib310 (113.33.03-3build1) zesty; urgency=medium

  * Rebuild against new OCaml ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Dec 2016 21:54:46 +0100

=== debian/control ===
Source: sexplib310
Section: ocaml
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Lifeng Sun <lifongsun@gmail.com>,
 Hilko Bengen <bengen@debian.org>
Build-Depends:
 debhelper (>= 9),
 ocaml-nox (>= 4.00.0),
 ocaml-findlib (>= 1.3.2),
 oasis,
 opam,
 libjs-build-tools-ocaml-dev,
 libfindlib-ocaml-dev,
 dh-ocaml (>= 0.9~)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/sexplib310.git
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/sexplib310.git
Homepage: http://janestreet.github.io/

Package: libsexplib-ocaml-dev
Provides:
 ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: ocaml-findlib
Breaks: libsexplib-camlp4-dev
Replaces: libsexplib-camlp4-dev
Description: automated conversions between OCaml-values and S-expressions (dev files)
 Sexplib library contains functionality for parsing and pretty-printing
 S-expressions.
 .
 Another module contained in Sexplib you to extract and replace
 sub-expressions in S-expressions.
 .
 This package contains development files.

Package: libsexplib-ocaml
Provides:
 ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Breaks: libsexplib-camlp4-dev
Replaces: libsexplib-camlp4-dev
Description: automated conversions between OCaml-values and S-expressions (runtime)
 Sexplib library contains functionality for parsing and pretty-printing
 S-expressions.
 .
 Another module contained in Sexplib you to extract and replace
 sub-expressions in S-expressions.
 .
 This package contains runtime files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_configure:

override_dh_auto_install:
	opam-installer --prefix=debian/tmp --libdir=.$(OCAML_STDLIB_DIR) sexplib.install

override_dh_install:
	dh_install --fail-missing

=== debian/watch ===
version=3
opts=uversionmangle=s/-rc/~rc/ https://github.com/janestreet/sexplib/tags /.*/archive/([\d\.\-rc]+)\.tar\.gz
